from django.urls import path,include
from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView, TokenVerifyView
from . import views
from .views import api_lista_usuarios, api_detalle_usuario
from . import auth

urlpatterns = [
    path('api/usuarios/', api_lista_usuarios, name='api_lista_usuarios'),
    path('api/usuarios/<int:usuario_id>/', api_detalle_usuario, name='api_detalle_usuario'),
    path('api/passkeys/', include('passkeys.api.urls')),
    path('api/auth/login', auth.LoginAPIView.as_view(), name='api_login'),
    path('api/auth/token', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/auth/token/refresh', TokenRefreshView.as_view(), name='token_refresh'),
    path('api/auth/token/verify', TokenVerifyView.as_view(), name='token_verify'),
]
